API Reference

Get gas station details by address

GET /gas-stations/address/{address}

Get gas station details, including all asset balances, for a specific address.

Path parameters

NameTypeDescription
addressrequiredstringGas station address.

Responses

Gas station details with balances.

    • idstring
    • addressstring
    • network_idstring
    • network_symbolstring
Request
curl "https://api.stridge.dev/v1/gas-stations/address/string" \
  -H "X-API-Key: $STRIDGE_API_KEY"

Set your key as STRIDGE_API_KEY (sent as X-API-Key).

Response200
"id": "550e8400-e29b-41d4-a716-446655440000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD58",
"network_id": "60",
"network_symbol": "ETH",
"asset": "Ethereum",
"symbol": "ETH",
"decimal": 18,
"network_id": "60",
"network_symbol": "ETH",
"amount": "1.5",
"raw": "1000000000000000000",
"usd": "3500.00"
}
}
]
}
}